#include <stdio.h>
#include "libtrans.h"

int main(argc,argv)
int argc;
char *argv[];
{
	char buf[BUFSIZ];
	int i,len;

	if ((argc != 3) ||
	    (argv[1][0] != '-') ||
	    ((argv[1][1] != 't') && (argv[1][1] != 'f')))
	{
		fprintf(stderr,"usage: %s {-f|-t} table\n",argv[0]);
		exit(1);
	}
	settrtab_byname(argv[2]);
	while ((len=fread(buf,1,sizeof(buf),stdin)) > 0)
	{
		if (argv[1][1] == 'f')
			for (i=0;i<len;i++) buf[i]=TR_IN(buf[i]);
		else
			for (i=0;i<len;i++) buf[i]=TR_OUT(buf[i]);
		fwrite(buf,1,len,stdout);
	}
	return len;
}
