#ifndef LIBTRANS_H
#define LIBTRANS_H

#define LIBTRANS_NAMELEN 8

typedef struct _tr_tables {
	unsigned char in[256];
	unsigned char out[256];
} tr_tables_t;

typedef struct _tr_tab {
	struct _tr_tab *next;
	char name[LIBTRANS_NAMELEN+1];
	int result;
	tr_tables_t *tab;
} tr_tab_t;

extern int   settrtab_byname();
extern int   settrtab_bysocket();
extern char *settrnam_bysocket();
extern int   settrverb();
extern tr_tab_t *tr_tab;
#define TR_IN(c) (tr_tab->tab->in[(unsigned char)c])
#define TR_OUT(c) (tr_tab->tab->out[(unsigned char)c])

#endif
